# Lisflood OS

This repository hosts source code of LISVAP model.
Go to [Lisflood OS page](https://ec-jrc.github.io/lisflood/) for more information.

Other useful resources

| **Project**         | **Documentation**                                         | **Source code**                                              |
| ------------------- | --------------------------------------------------------- | ------------------------------------------------------------ |
| Lisflood            | [Model docs](https://ec-jrc.github.io/lisflood-model/)    | https://github.com/ec-jrc/lisflood-code                      |
|                     | [User guide](https://ec-jrc.github.io/lisflood-code/)     |                                                              |
| Lisvap              | [Docs](https://ec-jrc.github.io/lisflood-lisvap/)         | https://github.com/ec-jrc/lisflood-lisvap (this repository)  |
| Calibration tool    | [Docs](https://ec-jrc.github.io/lisflood-calibration/)    | https://github.com/ec-jrc/lisflood-calibration               |
| Lisflood Utilities  |                                                           | https://github.com/ec-jrc/lisflood-utilities                 |
| Lisflood Usecases   |                                                           | https://github.com/ec-jrc/lisflood-usecases                  |



## LISVAP

LISVAP is a model that produce Evaporation timeseries maps that can be used as input to Water Balance/Flood simulation models.

Reference values for potential evapotranspiration and evaporation are estimated using the Penman-Monteith equation (Supit et al., 1994, Supit & Van Der Goot, 2003)


For full documentation, please visit the [official documentation](https://ec-jrc.github.io/lisflood-lisvap/) website.

This software is part of Lisflood Open source/Nexus Initiative and it's released under the EUPL 1.2 license.
Source code and test cases are available in the [LISVAP GitHub repository](https://github.com/ec-jrc/lisflood-lisvap/)
JRC - European Commission

(C) 2019
